%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-glibmm24
Version:        2.23.2
Release:        1%{?dist}
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glibmm/2.22/glibmm-%{version}.tar.bz2
Patch0:         glibmm-unixisms.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libsigc++20 >= 2.0.0
BuildRequires:  mingw32-glib2 >= 2.23.1
BuildRequires:  pkgconfig

Requires:       pkgconfig


%description
glibmm provides a C++ interface to the GTK+ GLib low-level core
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.


%{_mingw32_debug_package}


%prep
%setup -q -n glibmm-%{version}
%patch0 -b .unixisms

%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Remove docs, duplicate native package.
rm -r $RPM_BUILD_ROOT%{_mingw32_docdir}/glibmm-2.4
rm -r $RPM_BUILD_ROOT%{_mingw32_datadir}/devhelp
rm -r $RPM_BUILD_ROOT%{_mingw32_datadir}/glibmm-2.4/doctool/

# hack: desktopappinfo is not available on win32
sed -i -e "s,#include <giomm/desktopappinfo.h>,," $RPM_BUILD_ROOT/%{_mingw32_includedir}/giomm-2.4/giomm.h
sed -i -e "s,#include <giomm/unixinputstream.h>,," $RPM_BUILD_ROOT/%{_mingw32_includedir}/giomm-2.4/giomm.h
sed -i -e "s,#include <giomm/unixoutputstream.h>,," $RPM_BUILD_ROOT/%{_mingw32_includedir}/giomm-2.4/giomm.h

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING COPYING.tools
%{_mingw32_bindir}/libgiomm-2.4-1.dll
%{_mingw32_bindir}/libglibmm-2.4-1.dll
%{_mingw32_bindir}/libglibmm_generate_extra_defs-2.4-1.dll
%{_mingw32_libdir}/libgiomm-2.4.dll.a
%{_mingw32_libdir}/libgiomm-2.4.la
%{_mingw32_libdir}/libglibmm-2.4.dll.a
%{_mingw32_libdir}/libglibmm-2.4.la
%{_mingw32_libdir}/libglibmm_generate_extra_defs-2.4.dll.a
%{_mingw32_libdir}/libglibmm_generate_extra_defs-2.4.la
%{_mingw32_libdir}/giomm-2.4
%{_mingw32_libdir}/glibmm-2.4
%{_mingw32_includedir}/giomm-2.4
%{_mingw32_includedir}/glibmm-2.4
%{_mingw32_libdir}/pkgconfig/giomm-2.4.pc
%{_mingw32_libdir}/pkgconfig/glibmm-2.4.pc
%{_mingw32_datadir}/aclocal/glibmm_check_perl.m4


%changelog
* Sun Feb 28 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.23.2-1
- update to 2.23.2

* Sun Jan 31 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.23.1-1
- update to 2.23.1

* Tue Oct  6 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.1-2
- remove nonexisting (on windows) files from giomm.h header

* Sun Sep 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.1-1
- update to 2.22.1 to match native package

* Sat Sep 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.5-1
- update to 2.21.5 to match native package

* Mon Aug 31 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.4-1
- update to 2.21.4 to match native package

* Mon Aug 31 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.3-1
- update to 2.21.3 to match native package

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-4
- add debuginfo packages

* Fri Apr 17 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-3
- fix extradefs build failure

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-2
- update to 2.20.0
- replace %%define with %%global

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.19.2-1
- update to 2.19.2

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-4
- Include license.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-3
- Use _smp_mflags.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-2
- Initial RPM release.
